Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Modeling » Papyrus » How do I get the FMI 2.0 Profile?(Trying to follow a moka FMU tutorial but stuck)
How do I get the FMI 2.0 Profile? [message #1815834] Fri, 11 October 2019 18:11 Go to next message
James Crist is currently offline James CristFriend
Messages: 1
Registered: October 2019
Junior Member
I'm trying to follow this tutorial https://wiki.eclipse.org/Papyrus/UserGuide/ModelExecution#Basic_principles

but when I try to apply the FMI 2.0 Profile it doesn't appear in the list, I don't have any of the profiles without an icon. I installed Papyrus and Moka but maybe I screwed something up? Or do I need to install something else?
Re: How do I get the FMI 2.0 Profile? [message #1816114 is a reply to message #1815834] Mon, 21 October 2019 13:09 Go to previous messageGo to next message
Pauline Deville is currently offline Pauline DevilleFriend
Messages: 55
Registered: November 2016
Location: Paris Saclay, France
Member
Hello,

Which version of moka did you install? In case you installed the 4.0.0 version you should also the FMI feature which is in the Moka Incubation product see [1].

Best Regards,
Pauline

1: https://download.eclipse.org/modeling/mdt/papyrus/components/moka/2019-03/incubation/
Re: How do I get the FMI 2.0 Profile? [message #1833326 is a reply to message #1816114] Fri, 09 October 2020 10:05 Go to previous messageGo to next message
Antonio Cicchetti is currently offline Antonio CicchettiFriend
Messages: 11
Registered: November 2013
Junior Member
Hi,
I am having the same problem. I have installed Eclipse 202006 (the latest version makes Papyrus to malfunction), Papyrus from the Update Site, and then some packages from the Market Place, like SysML and Moka. Then I tried to follow one of the tutorials on the YouTube channel about designing FMUs, however as soon as I try to apply the FMI 2.0 profile it does not appear in the list. I have double-checked in the installation log and Moka is there. Moreover, if I try to use the update site, Eclipse detects Moka as already installed. Am I missing something?

[UPDATE]
After a more careful check through update sites I discovered that an incubation feature was not installed. When I try to install it, I get the following problem:
Cannot complete the install because one or more required items could not be found.
  Software being installed: Moka For Cosimulation (Incubation) 3.0.0.201710171318 (org.eclipse.papyrus.moka.fmi.feature.feature.group 3.0.0.201710171318)
  Missing requirement: Moka For Cosimulation (Incubation) 3.0.0.201710171318 (org.eclipse.papyrus.moka.fmi.feature.feature.group 3.0.0.201710171318) requires 'org.eclipse.equinox.p2.iu; jnr.ffi 0.0.0' but it could not be found


Thanks for any feedback and regards,

Antonio

[Updated on: Fri, 09 October 2020 10:14]

Report message to a moderator

Re: How do I get the FMI 2.0 Profile? [message #1833522 is a reply to message #1833326] Thu, 15 October 2020 15:11 Go to previous messageGo to next message
Pauline Deville is currently offline Pauline DevilleFriend
Messages: 55
Registered: November 2016
Location: Paris Saclay, France
Member
Hi Antonio,

Indeed you should install the FMI feature from https://download.eclipse.org/modeling/mdt/papyrus/components/moka/2019-03/incubation/. However the feature has not been tested on newer versions. I just test the installation on 2020-06 and it seems that I can install it but I did not test on 2020-09 for now.

Best regards,
Pauline
Re: How do I get the FMI 2.0 Profile? [message #1833527 is a reply to message #1833522] Thu, 15 October 2020 19:40 Go to previous message
Antonio Cicchetti is currently offline Antonio CicchettiFriend
Messages: 11
Registered: November 2013
Junior Member
Thanks a lot for your feedback Pauline,
indeed by using the update site you suggested the installation succeeds.

Kind regards,

Antonio
Previous Topic:How can I attach the source code of Papyrus to my Eclipse
Next Topic:Customizing model explorer label based on the context node
Goto Forum:
  


Current Time: Mon Jan 25 15:05:49 GMT 2021

Powered by FUDForum. Page generated in 0.01948 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top